package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Reportdetail;
import com.gyee.frame.model.auto.ReportdetailExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  ReportdetailMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-03-02 15:04:24
 */
public interface ReportdetailMapper {
      	   	      	      	      	      	      	      	      	      	      
    long countByExample(ReportdetailExample example);

    int deleteByExample(ReportdetailExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Reportdetail record);

    int insertSelective(Reportdetail record);

    List<Reportdetail> selectByExample(ReportdetailExample example);
		
    Reportdetail selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Reportdetail record, @Param("example") ReportdetailExample example);

    int updateByExample(@Param("record") Reportdetail record, @Param("example") ReportdetailExample example); 
		
    int updateByPrimaryKeySelective(Reportdetail record);

    int updateByPrimaryKey(Reportdetail record);
  	  	
}